Get Compaction State (V2)
This operation gets the state of the latest compaction task for a specified collection.
The base URL for this API is in the following format:
https://${CLUSTER_ENDPOINT}
- You need to fill in
${CLUSTER_ENDPOINT}with that of your Zilliz Cloud cluster. - To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
export CLUSTER_ENDPOINT=""
The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password. If you are using a project endpoint, only a valid API key with sufficient permissions applies.
The ID of the compaction job.
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/get_compaction_state" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"jobID": "xxxxxxxxxxxxxxxxxxxxxx"
}'
Returns the state of the compaction task.
Response containing the compaction state.
Response code.
The response payload that carries the compaction state result.
The ID of the compaction task.
The state of the compaction task.
The number of executing plans.
The number of timeout plans.
The number of completed plans.
Returns an error message.
Response code.
Error message.
{
"code": 0,
"data": {
"compactionID": 470224091360920600,
"state": "Completed",
"executingPlanNumber": 0,
"timeoutPlanNumber": 0,
"completedPlanNumber": 5
}
}